Results 1 to 3 of 3

Thread: Broken metasploit after upgrade (rake not found)

  1. #1
    Join Date
    2016-Jan
    Posts
    7

    Question Broken metasploit after upgrade (rake not found)

    Hi,

    After yesterday's "apt-get dist-upgrade" my metasploit won't start any more.

    I have this error:
    --
    Could not find rake-10.4.2 in any of the sources
    Run `bundle install` to install missing gems.
    --

    I run "bundle install", but than I get this:
    --
    Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
    installing your bundle as root will break this application for all non-root
    users on this machine.
    Could not locate Gemfile or .bundle/ directory
    --

    I tried "bundle install" as an ordinary user, but I get this again:
    --
    Could not locate Gemfile or .bundle/ directory
    --

    I have rake installed on my system:
    --
    # apt-cache policy rake
    rake:
    Installed: 10.5.0-2
    Candidate: 10.5.0-2
    Version table:
    *** 10.5.0-2 500
    500 http://http.kali.org/kali kali-rolling/main amd64 Packages
    500 http://http.kali.org/kali kali-rolling/main i386 Packages
    100 /var/lib/dpkg/status
    --

    Any ideas what could help?

    Best regards and TIA,

    sole

  2. #2
    Hi, had same issue , you need to type in console:

    find / -name "bundle"

    and it will show you location of your bundle folder

    Then you open that folder with:

    cd /usr/share/metasploit-framework/vendor/bundle

    and then when you are in folder run:

    bundle install


    You might get some errors but just paste them here and I'll help you resolve them.

  3. #3
    Join Date
    2016-Jan
    Posts
    7
    Thank you for help.
    The issue resolved by itself after an update.

    sole

Similar Threads

  1. Kali upgrade - E: Broken packages
    By alexus in forum TroubleShooting Archive
    Replies: 6
    Last Post: 2018-02-09, 13:43
  2. SET - Metasploit not found
    By tommy40687 in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-11-28, 19:13
  3. Troubleshooting - Upgrade Metasploit 404 Not Found
    By suduma in forum TroubleShooting Archive
    Replies: 7
    Last Post: 2015-07-30, 17:00

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •